> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Info by ContractAddress

> Retrieves project details and social media links for an ERC-20/ERC-721/ERC-1155 token.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/resources/rate-limits) and above</Note>

<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "contractAddress": "0x0e3a2a1f2146d86a604adc220b4967a898d7fe07",
        "tokenName": "Gods Unchained Cards",
        "symbol": "CARD",
        "divisor": "0",
        "tokenType": "ERC721",
        "totalSupply": "6972003",
        "blueCheckmark": "true",
        "description": "A TCG on the Ethereum blockchain that uses NFT's to bring real ownership to in-game assets.",
        "website": "https://godsunchained.com/",
        "email": "",
        "blog": "https://medium.com/@fuelgames",
        "reddit": "https://www.reddit.com/r/GodsUnchained/",
        "slack": "",
        "facebook": "https://www.facebook.com/godsunchained/",
        "twitter": "https://twitter.com/godsunchained",
        "bitcointalk": "",
        "github": "",
        "telegram": "",
        "wechat": "",
        "linkedin": "",
        "discord": "https://discordapp.com/invite/DKGr2pW",
        "whitepaper": "",
        "tokenPriceUSD": "0.000000000000000000",
        "image": ""
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/tokeninfo.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Token Info by ContractAddress
  version: 2.0.0
  description: >-
    Retrieves project details and social media links for an
    ERC-20/ERC-721/ERC-1155 token.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Token Info by ContractAddress
      description: >-
        Retrieves project details and social media links for an
        ERC-20/ERC-721/ERC-1155 token.
      operationId: getTokeninfo
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to token for this endpoint.
          schema:
            type: string
            default: token
          example: token
        - name: action
          in: query
          required: true
          description: Set to tokeninfo for this endpoint.
          schema:
            type: string
            default: tokeninfo
          example: tokeninfo
        - name: contractaddress
          in: query
          required: true
          description: Contract address of the token to retrieve info for.
          schema:
            type: string
          example: '0x0e3a2a1f2146d86a604adc220b4967a898d7fe07'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````